CVE-2004-0409

Current Description

Stack-based buffer overflow in the Socks-5 proxy code for XChat 1.8.0 to 2.0.8, with socks5 traversal enabled, allows remote attackers to execute arbitrary code.

Basic Data

PublishedJune 01, 2004
Last ModifiedOctober 11, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeNVD-CWE-Other
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:L/Au:N/C:P/I:P/A:P
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactPARTIAL
CVSS 2 - Availability ImpactPARTIAL
CVSS 2 - Base Score7.5
SeverityHIGH
Exploitability Score10.0
Impact Score6.4
Obtain All Privilegefalse
Obtain User Privilegetrue
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationXchatXchat1.8.0*******
    2.3ApplicationXchatXchat1.8.1*******
    2.3ApplicationXchatXchat1.8.2*******
    2.3ApplicationXchatXchat1.8.3*******
    2.3ApplicationXchatXchat1.8.4*******
    2.3ApplicationXchatXchat1.8.5*******
    2.3ApplicationXchatXchat1.8.6*******
    2.3ApplicationXchatXchat1.8.7*******
    2.3ApplicationXchatXchat1.8.8*******
    2.3ApplicationXchatXchat1.8.9*******
    2.3ApplicationXchatXchat1.9.0*******
    2.3ApplicationXchatXchat1.9.1*******
    2.3ApplicationXchatXchat1.9.2*******
    2.3ApplicationXchatXchat1.9.3*******
    2.3ApplicationXchatXchat1.9.4*******
    2.3ApplicationXchatXchat1.9.5*******
    2.3ApplicationXchatXchat1.9.6*******
    2.3ApplicationXchatXchat1.9.7*******
    2.3ApplicationXchatXchat1.9.8*******
    2.3ApplicationXchatXchat1.9.9*******
    2.3ApplicationXchatXchat2.0.0*******
    2.3ApplicationXchatXchat2.0.1*******
    2.3ApplicationXchatXchat2.0.2*******
    2.3ApplicationXchatXchat2.0.3*******
    2.3ApplicationXchatXchat2.0.4*******
    2.3ApplicationXchatXchat2.0.5*******
    2.3ApplicationXchatXchat2.0.6*******
    2.3ApplicationXchatXchat2.0.7*******
    2.3ApplicationXchatXchat2.0.8*******

Vulnerable Software List

VendorProductVersions
Xchat Xchat 1.8.0, 1.8.1, 1.8.2, 1.8.3, 1.8.4, 1.8.5, 1.8.6, 1.8.7, 1.8.8, 1.8.9, 1.9.0, 1.9.1, 1.9.2, 1.9.3, 1.9.4, 1.9.5, 1.9.6, 1.9.7, 1.9.8, 1.9.9, 2.0.0, 2.0.1, 2.0.2, 2.0.3, 2.0.4, 2.0.5, 2.0.6, 2.0.7, 2.0.8

References

NameSourceURLTags
[xchat-announce] 20040405 xchat 2.0.x Socks5 Vulnerabilityhttp://mail.nl.linux.org/xchat-announce/2004-04/msg00000.htmlMLISTPATCH Vendor Advisory
GLSA-200404-15http://security.gentoo.org/glsa/glsa-200404-15.xmlGENTOO
FLSA:123013http://www.fedoralegacy.org/updates/FC2/2005-11-14-FLSA_2005_123013FEDORA
RHSA-2004:177http://www.redhat.com/support/errata/RHSA-2004-177.htmlREDHATPATCH Vendor Advisory
RHSA-2004:585http://www.redhat.com/support/errata/RHSA-2004-585.htmlREDHAT
http://www.xchat.org/http://www.xchat.org/CONFIRMPATCH Vendor Advisory
oval:org.mitre.oval:def:11312https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11312OVAL
DSA-493https://www.debian.org/security/2004/dsa-493DEBIAN